From 323afedd6e46d273457add43d92f166ffba5acbf Mon Sep 17 00:00:00 2001
From: "Suren A. Chilingaryan" <csa@suren.me>
Date: Sun, 27 Oct 2019 02:33:04 +0100
Subject: Fix building of some legacy ebuilds

---
 app-admin/openshift-client-tools/Manifest          |   2 +-
 .../openshift-client-tools-3.7.1-r1.ebuild         |  50 +++++++++
 .../openshift-client-tools-3.7.1.ebuild            |  47 --------
 app-admin/openshift-source-to-image/Manifest       |   2 +-
 .../openshift-source-to-image-1.1.8.ebuild         |   4 +
 dev-libs/pocl/Manifest                             |   2 +-
 dev-libs/pocl/pocl-1.4.ebuild                      |   2 +
 mail-filter/clamassassin/Manifest                  |   2 +
 .../clamassassin/clamassassin-1.2.4-r1.ebuild      |  40 +++++++
 x11-terms/xterm/Manifest                           |   2 +-
 x11-terms/xterm/xterm-278-r2.ebuild                | 113 --------------------
 x11-terms/xterm/xterm-278-r3.ebuild                | 118 +++++++++++++++++++++
 12 files changed, 220 insertions(+), 164 deletions(-)
 create mode 100644 app-admin/openshift-client-tools/openshift-client-tools-3.7.1-r1.ebuild
 delete mode 100644 app-admin/openshift-client-tools/openshift-client-tools-3.7.1.ebuild
 create mode 100644 mail-filter/clamassassin/Manifest
 create mode 100644 mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild
 delete mode 100644 x11-terms/xterm/xterm-278-r2.ebuild
 create mode 100644 x11-terms/xterm/xterm-278-r3.ebuild

diff --git a/app-admin/openshift-client-tools/Manifest b/app-admin/openshift-client-tools/Manifest
index 9a13658..25043b6 100644
--- a/app-admin/openshift-client-tools/Manifest
+++ b/app-admin/openshift-client-tools/Manifest
@@ -1,2 +1,2 @@
 DIST openshift-client-tools-3.7.1.tar.gz 103203908 BLAKE2B 0fba2ceb09f2c83e44eeea72cae1428506ceaad405947a3ad4d0fa4362c7441b948d37c9ded9048ac845666d74d0d5751f4d086b8988ccaaa380dc44353b7ad0 SHA512 ee2ddbe482dcf53c827423adf16e88adaa379b8914e214ba619ee87b0d84dfd53eaf52b687ef6140d24a7d7fb733908770d55901bbc96e5a430a343cba0b0a3e
-EBUILD openshift-client-tools-3.7.1.ebuild 1119 BLAKE2B cee91219906d85ad0eed649ba80c6420aecc46f58d0fe989992c602194b21c32c936e064ac770bcda4d43ade5d4ef848955522e07a27c2aee6e4f7c60c1f5d9e SHA512 21dd8666b1456efc0c9c05c60ff1db1c59ab6d3e321b0dcff8faa32dab9e493c25d378f7938cb077673c361c7a9419b110c0062ced0994c48b99a4097d7931fb
+EBUILD openshift-client-tools-3.7.1-r1.ebuild 1222 BLAKE2B 4de9a1978627d655a52bed20df9bba30301526478ce55e28b78ec9f7846f4c459f2c5ea0aedb468263a76dcbf13b520b0271a83b535c06b93c4b735552f6fa73 SHA512 8adf0aa3971b91c5b04471e2b98605ac00e1a49174ad2fd335e6f37a7e51da5f0bd687dd7743a220ba6414e23d480aaff13278c78b06a65a22f27cb720338a1b
diff --git a/app-admin/openshift-client-tools/openshift-client-tools-3.7.1-r1.ebuild b/app-admin/openshift-client-tools/openshift-client-tools-3.7.1-r1.ebuild
new file mode 100644
index 0000000..6c84fdc
--- /dev/null
+++ b/app-admin/openshift-client-tools/openshift-client-tools-3.7.1-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1
+
+DESCRIPTION="Enterprise Kubernetes for Developers (Client Tools)"
+HOMEPAGE="https://www.openshift.org"
+SRC_URI="https://github.com/openshift/origin/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="bash-completion kerberos"
+
+DEPEND="dev-lang/go
+	kerberos? ( app-crypt/mit-krb5 )"
+RDEPEND="bash-completion? ( >=app-shells/bash-completion-2.3-r1 )"
+
+S="${WORKDIR}/origin-${PV}"
+
+src_compile() {
+	use kerberos && MY_TAGS="-tags=gssapi"
+
+	export OS_GIT_CATALOG_VERSION="v${PV}"
+	export OS_GIT_MINOR=""
+	export OS_GIT_MAJOR=""
+	export OS_GIT_VERSION="v${PV}"
+
+        # Check fails go1.12 < go1.8
+        sed -i'' -e 's#go1.8#go1.10#' hack/lib/build/binaries.sh
+
+	emake all WHAT="cmd/oc ${MY_TAGS} -v"
+
+	emake all WHAT="tools/gendocs -v"
+	emake all WHAT="tools/genman -v"
+	hack/generate-docs.sh || exit 1
+}
+
+src_install() {
+	case "${ARCH}" in
+		x86)	MY_ARCH="386" ;;
+		*)		MY_ARCH="${ARCH}" ;;
+	esac
+
+	dobin "_output/local/bin/linux/${MY_ARCH}/oc"
+	doman docs/man/man1/oc*
+	use bash-completion && dobashcomp contrib/completions/bash/oc
+}
\ No newline at end of file
diff --git a/app-admin/openshift-client-tools/openshift-client-tools-3.7.1.ebuild b/app-admin/openshift-client-tools/openshift-client-tools-3.7.1.ebuild
deleted file mode 100644
index f53b694..0000000
--- a/app-admin/openshift-client-tools/openshift-client-tools-3.7.1.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit bash-completion-r1
-
-DESCRIPTION="Enterprise Kubernetes for Developers (Client Tools)"
-HOMEPAGE="https://www.openshift.org"
-SRC_URI="https://github.com/openshift/origin/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="bash-completion kerberos"
-
-DEPEND="dev-lang/go
-	kerberos? ( app-crypt/mit-krb5 )"
-RDEPEND="bash-completion? ( >=app-shells/bash-completion-2.3-r1 )"
-
-S="${WORKDIR}/origin-${PV}"
-
-src_compile() {
-	use kerberos && MY_TAGS="-tags=gssapi"
-
-	export OS_GIT_CATALOG_VERSION="v${PV}"
-	export OS_GIT_MINOR=""
-	export OS_GIT_MAJOR=""
-	export OS_GIT_VERSION="v${PV}"
-
-	emake all WHAT="cmd/oc ${MY_TAGS} -v"
-
-	emake all WHAT="tools/gendocs -v"
-	emake all WHAT="tools/genman -v"
-	hack/generate-docs.sh || exit 1
-}
-
-src_install() {
-	case "${ARCH}" in
-		x86)	MY_ARCH="386" ;;
-		*)		MY_ARCH="${ARCH}" ;;
-	esac
-
-	dobin "_output/local/bin/linux/${MY_ARCH}/oc"
-	doman docs/man/man1/oc*
-	use bash-completion && dobashcomp contrib/completions/bash/oc
-}
\ No newline at end of file
diff --git a/app-admin/openshift-source-to-image/Manifest b/app-admin/openshift-source-to-image/Manifest
index 3232699..57f9ae3 100644
--- a/app-admin/openshift-source-to-image/Manifest
+++ b/app-admin/openshift-source-to-image/Manifest
@@ -1,2 +1,2 @@
 DIST openshift-source-to-image-1.1.8.tar.gz 1724043 BLAKE2B 6aa43322aef3de31a5e20f9e9e5ca7a950c16e2c685c2b2aab361da156b99662047e9dbfd559cd6c98bc771612018a30045830a2f6d26084795ad9e3d98925c8 SHA512 a38111fad26578a27efcefb1fe38a85635a29236eed65cb18c9f6c8a880ecca121e98b8f1613b4974363204ad0dcfb0590289bad349168743c287cdcf5601a95
-EBUILD openshift-source-to-image-1.1.8.ebuild 971 BLAKE2B 6023e83864dcc9be7b308757c94bfa71cb59dcceef06081065f67fdd11bd306963f4002ac60ec4350d4a648caab5a91b9b01480b45d0e69bf7af6e90517fb976 SHA512 bf64f14a3adad1970480d36fe73923045b7a1ba487250cd60d88f63ee2b664ad40979d54190e7b4898b0b27ea9f7de8a7dd917114d665d1e41c4c33351f1c100
+EBUILD openshift-source-to-image-1.1.8.ebuild 1063 BLAKE2B 1027fb4b0ee6672b05ec8dfc5efdde17af56bf9bb86ffc7f3ed3d775d1dab960bcabb845c16d03544304b1a027b029c9417d7253ad9d729167111572385bc8e8 SHA512 38240fa3656e57e99df97f70c33af52d45d1448e2a1f5567b29e1a57e677a18152adf18421562baf48d55cb53ff66415ff213a9811e983378557640b8ff53b50
diff --git a/app-admin/openshift-source-to-image/openshift-source-to-image-1.1.8.ebuild b/app-admin/openshift-source-to-image/openshift-source-to-image-1.1.8.ebuild
index 8e21426..f85e058 100644
--- a/app-admin/openshift-source-to-image/openshift-source-to-image-1.1.8.ebuild
+++ b/app-admin/openshift-source-to-image/openshift-source-to-image-1.1.8.ebuild
@@ -23,6 +23,10 @@ src_compile() {
 	export S2I_GIT_MINOR=""
 	export S2I_GIT_MAJOR=""
 	export S2I_GIT_VERSION="v${PV}"
+
+        # Check fails go1.12 < go1.4
+        sed -i'' -e 's#go1.4#go1.10#' hack/common.sh
+
         hack/build-go.sh || die
 }
 
diff --git a/dev-libs/pocl/Manifest b/dev-libs/pocl/Manifest
index 11d4f40..aa992cf 100644
--- a/dev-libs/pocl/Manifest
+++ b/dev-libs/pocl/Manifest
@@ -4,5 +4,5 @@ DIST pocl-1.2.tar.gz 1603374 BLAKE2B c08c532badc86afa7b8e87fd8adfc7a5959211e3572
 DIST pocl-1.4.tar.gz 1560972 BLAKE2B 7af82fa53a3f354961bec2a89ab3e23dee6ca02bf5497bc4fbeb84ffcda93683465a1a66e7f7d9c1b11ddf96fbe94bd82a8bf3774826fbddf7e02fdba34dd41f SHA512 ef4911638c76d988c120b69a991e54773a6b8bde49433c2e0f1703c374fa65a4fa64ebcaec94569863458032c17d8cb9879dc501b7e3a43b2c24524bce1b6098
 EBUILD pocl-1.1.ebuild 585 BLAKE2B 900ac15f1b8d7e66f34a7a30274e2ee5270cbe2230318bf700230320fac1712ac5b2a8c7c9674df97ef9ca55e8d73465d52affb3cbb08217eeb68209a52e9fd1 SHA512 f6b5f74b2b87185c926dbf5e87c779270604f65f7ec5271936f1bfbe7151f1bd8a42ebfe247ee78f0588eaa56ddc3df28ea2981dc7418189023c9c17f0e4a311
 EBUILD pocl-1.2.ebuild 731 BLAKE2B adc3ea7072da473a989f4e11c035dec3515a7c09f7f10ebefd737330e267cc06b516d3336588220a8308e4a75fea36b9116090d0b17f0449d5e001f41c1007c6 SHA512 d6d1d85a32b9cc1cf79f6a6f72c4346b13a8434238facbe2fa90b29807921073e778c3c7b3f430838c926a9a77a36d049d1c54bc6e740c114a0ce2a077e53bb5
-EBUILD pocl-1.4.ebuild 835 BLAKE2B 25ed43bcedff4cae53587b962f70c0b0e0481c4974a3a4b3a340d5b46d0631dd100cac1bf9dd31ac823fa554e41c6a01176aabac30c5afac10d9de33a9160b51 SHA512 3759df0e4dd8f708ebe38519268b8a820b1853c21c162dd02ad23068fc45233f68ff0975efdbae69d27959257656d0b264bea87632df2b738c70baa5c4212a78
+EBUILD pocl-1.4.ebuild 1031 BLAKE2B 48739b7bc84ef6f04b046bfe34a7b67a6265680530722130c508901b5dfeb7f9b6f5193a89a5340775ebff85ac836c0fe099b0e4765d65c3abe3832c33b362d8 SHA512 548a51b7f1a765b802ae99fe3200cf74b178a2acda0dd63cf99a1fdf8cc58dba909da0f85989d06f6702dfb108507c737e96f60e5e81df2984f695a086923f30
 EBUILD pocl-9999.ebuild 941 BLAKE2B a24c0eec3145086c10595dedc5fdb509f47b7da0bd4710fa21b935907f09166eb923b06fcfabbb0ff07e785d3b9a6e8bdccf500f97082bc909e0543f94df5fe6 SHA512 d7a80b2b7685d505b66a6f4971a11c1321eac8c062112869d86fa426b4de4f1ce9e655227960362b6f2361bf6f6e46684722291113513514559c27d571bc76db
diff --git a/dev-libs/pocl/pocl-1.4.ebuild b/dev-libs/pocl/pocl-1.4.ebuild
index 1257feb..e649060 100644
--- a/dev-libs/pocl/pocl-1.4.ebuild
+++ b/dev-libs/pocl/pocl-1.4.ebuild
@@ -25,6 +25,8 @@ PATCHES=("${FILESDIR}/vendor_opencl_libs_location.epatch"
 )
 
 
+# pocl 1.4 only links with libOpenCL.so supporting 2.1 version of the standard (poclu library references 
+# clCreateProgramWithIL which is not available in OpenCL 2.0). intel-ocl-sdk for instance
 src_configure() {
         sed -i''  -e 's#typedef ptrdiff_t intptr_t#//typedef ptrdiff_t intptr_t#' include/pocl_types.h
 
diff --git a/mail-filter/clamassassin/Manifest b/mail-filter/clamassassin/Manifest
new file mode 100644
index 0000000..521228e
--- /dev/null
+++ b/mail-filter/clamassassin/Manifest
@@ -0,0 +1,2 @@
+DIST clamassassin-1.2.4.tar.gz 35350 BLAKE2B 397fea744d58814b5aad42aed81de7e12a29d1751315ae541fa9af580fea97ac253bae0a83790e081db7165ccfe56ef8bca16d1c88d9d439850a1ad793d2b997 SHA512 174a62f3c201d061b49641d6210c1c5adf21ee96e6881ca9c6b44577efc4795cbb5f0879cbb99222c8313095307c95f0dd3376743a0ab32c50f0b9eae45e0163
+EBUILD clamassassin-1.2.4-r1.ebuild 1151 BLAKE2B 2f5b355256162135098f89b42523d382d2f7a6cc30af60a0120fde1dd77dbcae1c83e0a15225d1598cc523842bf5ed9c33efe5964f45597c103c3ceb98e7aea3 SHA512 c3242024d74767839a9c3cca2346455e790bfe2bd6bdc32c79da36ad9abba4a8428a942e7f5bbe0ec871fe1ebd0888f995daa966e9cbb2259891a7ab53fd3f69
diff --git a/mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild b/mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild
new file mode 100644
index 0000000..9623c32
--- /dev/null
+++ b/mail-filter/clamassassin/clamassassin-1.2.4-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DESCRIPTION="Simple spamassassin-like script for virus scanning and filtering e-mail messages"
+HOMEPAGE="http://jameslick.com/clamassassin/"
+SRC_URI="http://jameslick.com/clamassassin/${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~sparc x86"
+IUSE="subject-rewrite clamd"
+DEPEND=">=app-antivirus/clamav-0.90
+		sys-apps/debianutils
+		sys-apps/which
+		mail-filter/procmail"
+
+src_compile() {
+	# Try to get location of clamd's DatabaseDirectory
+	local clamav_dbdir=`awk '$1 == "DatabaseDirectory" { print $2 }' \
+		/etc/clamd.conf`
+	# If not defined in clamd.conf, go with default
+	if [ -z "$clamav_dbdir" ] ; then
+		clamav_dbdir="/var/lib/clamav"
+	fi
+	# Add an entry to sandbox write prediction list, so sandbox doesn't complain
+	addpredict ${clamav_dbdir}/
+
+	econf \
+		$(use_enable subject-rewrite) \
+		$(use_enable clamd clamdscan) \
+		|| die
+	# Fix problems with Portage exporting TMP and breaking clamassassin. #61806
+	sed -i -e "s:${TMP}:/tmp:" clamassassin
+}
+
+src_install() {
+	dobin clamassassin
+	dodoc CHANGELOG README
+}
diff --git a/x11-terms/xterm/Manifest b/x11-terms/xterm/Manifest
index 49869e4..6df523d 100644
--- a/x11-terms/xterm/Manifest
+++ b/x11-terms/xterm/Manifest
@@ -18,4 +18,4 @@ AUX xterm-ds-sm.patch 3587 BLAKE2B cb6d5649617723e691650e31722bc74468dd25202f02e
 AUX xterm-ds-utf8mode.patch 476 BLAKE2B 5b17c0ac6da348bb1666bce8a83a3f1bc43a2fbc21ae596f8627b1cc4716b1c73d52113a993bc56fdcb4ff92546f00d9590a57d8c773c5ed530807f9cc746a7a SHA512 38f3de8f682bbf9adece113538eec5cfd4285a477c9c6d7c282dc71808ea39f641bf50ca97884ecb0d3c67e4ba1a86fc89a3f974f58cbceaf8a6f0277b7be5c0
 AUX xterm215-ds-copy.patch 1460 BLAKE2B 7b5e27479f4710c298ad347809c95cc561b2088d6addac7058e27a86123af0e3a05ac21884cea2f6fbac989e37f144d589b636e425aca205dee8d164aae358f7 SHA512 7030d834ae057cc2834cb919798ff5e45d6bebaaa2122c8b5620138cd67cf3d7c6baebaa6aba79904611bc9d373f76258a92d0b2939f24806ea9e6070ec12420
 DIST xterm-278.tgz 996716 BLAKE2B b51f0ef61fb80f2d00e5af925cd70411ad4160877dd64ece848f6fd105a0befea2932e3765f42454921191b66fb108bfebff8081bc8d935a2cc7b0c5ea6bc56b SHA512 4ddbf2003b54c2d2a082465d3ef160840dd1d27f253ba57c9c033477f6d005653093c506cd216072cf032e2ccb136de647b031a6999d8c5ccd5cfb641c50c994
-EBUILD xterm-278-r2.ebuild 3168 BLAKE2B 1586b9a5fffb620e250936299796260a54ea869c2ee6c14feac6ce9ed3b927411d395bdd3540d15e7cb071ada803d2c057445d2017fedd87a2d57dfba80d2b31 SHA512 673852242ec522641e7379786a8a0743f24ed35dd63ba0c2581e68aaf9892675643bae5df0f3b2f67477f33df0be7b1289c70213ffbd15a05857599ec8b753c5
+EBUILD xterm-278-r3.ebuild 3356 BLAKE2B 5f6a212227f4849b4f6cfb1ca05d0e9cfe32baee856e64259aed2df5a00b63f8cd579e001a3b98d250fe95bf8c2b0b785b9094d242da55884b6bad2157ba4e66 SHA512 203a9bd437de7353ae2c1fa9c1a3f1d9a03ebaecef4e323c62ed98a22e6c4ab22608aef67907a32b355853275d1b56ba5ff1742f2d8872b523250a88aca07d3f
diff --git a/x11-terms/xterm/xterm-278-r2.ebuild b/x11-terms/xterm/xterm-278-r2.ebuild
deleted file mode 100644
index 1c0f721..0000000
--- a/x11-terms/xterm/xterm-278-r2.ebuild
+++ /dev/null
@@ -1,113 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-terms/xterm/xterm-278.ebuild,v 1.1 2012/01/19 19:01:38 ssuominen Exp $
-
-EAPI=4
-inherit eutils multilib
-
-DESCRIPTION="Terminal Emulator for X Windows"
-HOMEPAGE="http://dickey.his.com/xterm/"
-SRC_URI="ftp://ftp.invisible-island.net/${PN}/${P}.tgz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="toolbar truetype unicode Xaw3d"
-
-COMMON_DEPEND="kernel_linux? ( sys-libs/libutempter )
-	kernel_FreeBSD? ( sys-libs/libutempter )
-	>=sys-libs/ncurses-5.7-r7
-	x11-apps/xmessage
-	x11-libs/libX11
-	x11-libs/libXaw
-	x11-libs/libXft
-	x11-libs/libxkbfile
-	x11-libs/libXmu
-	x11-libs/libXrender
-	x11-libs/libXt
-	unicode? ( x11-apps/luit )
-	Xaw3d? ( x11-libs/libXaw3d )"
-RDEPEND="${COMMON_DEPEND}
-	media-fonts/font-misc-misc"
-DEPEND="${COMMON_DEPEND}
-	dev-util/pkgconfig
-	x11-base/xorg-proto"
-
-pkg_setup() {
-	DEFAULTS_DIR="${EPREFIX}"/usr/share/X11/app-defaults
-}
-
-#SDS
-src_unpack() {
-    unpack ${A}
-    cd ${S}
-
-#MDK
-#    epatch ${FILESDIR}/xterm-199-biarch-utmp.patch.bz2
-#    epatch ${FILESDIR}/xterm-197-alt-keysym-index.patch.bz2
-#    epatch ${FILESDIR}/xterm-199-alt-meta-mod.patch.bz2
-
-#DarkLin
-    epatch ${FILESDIR}/xterm-ds-config-278.patch || die
-    epatch ${FILESDIR}/xterm-ds-paste-278.patch || die
-    epatch ${FILESDIR}/xterm-ds-input-225.patch || die
-    epatch ${FILESDIR}/xterm-ds-copy-243.patch || die
-# Embedded in SM patch
-##    epatch ${FILESDIR}/xterm-ds-utf8mode.patch
-# Since 278 is provided internaly 
-##    epatch ${FILESDIR}/xterm-ds-sm-243.patch || die
-# Incorporated into the config patch
-##    epatch ${FILESDIR}/xterm-ds-metaesc.patch || die
-}
-#EDS
-
-src_configure() {
-	# looking for reason why crosscompile failed? try restoring this:
-	# --x-libraries="${ROOT}usr/$(get_libdir)"
-	# -ssuominen, 2011
-
-#SDS 
-    --disable-maximize 
-#EDS
-	econf \
-		--libdir="${EPREFIX}"/etc \
-		--disable-full-tgetent \
-		--with-app-defaults=${DEFAULTS_DIR} \
-		--disable-setuid \
-		--disable-setgid \
-		--with-utempter \
-		--with-x \
-		$(use_with Xaw3d) \
-		--disable-imake \
-		--enable-256-color \
-		--enable-broken-osc \
-		--enable-broken-st \
-		--enable-exec-xterm \
-		$(use_enable truetype freetype) \
-		--enable-i18n \
-		--enable-load-vt-fonts \
-		--enable-logging \
-		$(use_enable toolbar) \
-		$(use_enable unicode mini-luit) \
-		$(use_enable unicode luit) \
-		--enable-wide-chars \
-		--enable-dabbrev \
-		--disable-maximize \
-		--enable-warnings
-}
-
-src_install() {
-	emake DESTDIR="${D}" install
-	dodoc README{,.i18n} ctlseqs.txt
-	dohtml xterm.log.html
-	domenu *.desktop
-
-	# Fix permissions -- it grabs them from live system, and they can
-	# be suid or sgid like they were in pre-unix98 pty or pre-utempter days,
-	# respectively (#69510).
-	# (info from Thomas Dickey) - Donnie Berkholz <spyderous@gentoo.org>
-	fperms 0755 /usr/bin/xterm
-
-	# restore the navy blue
-	sed -i -e "s:blue2$:blue:" "${ED}"${DEFAULTS_DIR}/XTerm-color
-}
diff --git a/x11-terms/xterm/xterm-278-r3.ebuild b/x11-terms/xterm/xterm-278-r3.ebuild
new file mode 100644
index 0000000..b01588b
--- /dev/null
+++ b/x11-terms/xterm/xterm-278-r3.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-terms/xterm/xterm-278.ebuild,v 1.1 2012/01/19 19:01:38 ssuominen Exp $
+
+EAPI=4
+inherit eutils multilib
+
+DESCRIPTION="Terminal Emulator for X Windows"
+HOMEPAGE="http://dickey.his.com/xterm/"
+SRC_URI="ftp://ftp.invisible-island.net/${PN}/${P}.tgz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="toolbar truetype unicode Xaw3d"
+
+COMMON_DEPEND="kernel_linux? ( sys-libs/libutempter )
+	kernel_FreeBSD? ( sys-libs/libutempter )
+	>=sys-libs/ncurses-5.7-r7
+	x11-apps/xmessage
+	x11-libs/libX11
+	x11-libs/libXaw
+	x11-libs/libXft
+	x11-libs/libxkbfile
+	x11-libs/libXmu
+	x11-libs/libXrender
+	x11-libs/libXt
+	unicode? ( x11-apps/luit )
+	Xaw3d? ( x11-libs/libXaw3d )"
+RDEPEND="${COMMON_DEPEND}
+	media-fonts/font-misc-misc"
+DEPEND="${COMMON_DEPEND}
+	dev-util/pkgconfig
+	x11-base/xorg-proto"
+
+pkg_setup() {
+	DEFAULTS_DIR="${EPREFIX}"/usr/share/X11/app-defaults
+}
+
+#SDS
+src_unpack() {
+    unpack ${A}
+    cd ${S}
+
+#MDK
+#    epatch ${FILESDIR}/xterm-199-biarch-utmp.patch.bz2
+#    epatch ${FILESDIR}/xterm-197-alt-keysym-index.patch.bz2
+#    epatch ${FILESDIR}/xterm-199-alt-meta-mod.patch.bz2
+
+#DarkLin
+    epatch ${FILESDIR}/xterm-ds-config-278.patch || die
+    epatch ${FILESDIR}/xterm-ds-paste-278.patch || die
+    epatch ${FILESDIR}/xterm-ds-input-225.patch || die
+    epatch ${FILESDIR}/xterm-ds-copy-243.patch || die
+# Embedded in SM patch
+##    epatch ${FILESDIR}/xterm-ds-utf8mode.patch
+# Since 278 is provided internaly 
+##    epatch ${FILESDIR}/xterm-ds-sm-243.patch || die
+# Incorporated into the config patch
+##    epatch ${FILESDIR}/xterm-ds-metaesc.patch || die
+}
+#EDS
+
+src_configure() {
+	# looking for reason why crosscompile failed? try restoring this:
+	# --x-libraries="${ROOT}usr/$(get_libdir)"
+	# -ssuominen, 2011
+
+	econf \
+		--libdir="${EPREFIX}"/etc \
+		--disable-full-tgetent \
+		--with-app-defaults=${DEFAULTS_DIR} \
+		--disable-setuid \
+		--disable-setgid \
+		--with-utempter \
+		--with-x \
+		$(use_with Xaw3d) \
+		--disable-imake \
+		--enable-256-color \
+		--enable-broken-osc \
+		--enable-broken-st \
+		--enable-exec-xterm \
+		$(use_enable truetype freetype) \
+		--enable-i18n \
+		--enable-load-vt-fonts \
+		--enable-logging \
+		$(use_enable toolbar) \
+		$(use_enable unicode mini-luit) \
+		$(use_enable unicode luit) \
+		--enable-wide-chars \
+		--enable-dabbrev \
+		--disable-maximize \
+		--enable-warnings
+
+#SDS 
+# Add
+#               --disable-maximize 
+
+        sed -i'' Makefile -e 's#^LIBS\s*=.*$#LIBS = -lfontconfig -lfreetype -lXft -lXmu -lXt -lX11 -lXaw7 -lXt -lX11 -lSM -lICE -lXt -lX11 -lutempter -ltinfo#' || die
+#EDS
+
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc README{,.i18n} ctlseqs.txt
+	dohtml xterm.log.html
+	domenu *.desktop
+
+	# Fix permissions -- it grabs them from live system, and they can
+	# be suid or sgid like they were in pre-unix98 pty or pre-utempter days,
+	# respectively (#69510).
+	# (info from Thomas Dickey) - Donnie Berkholz <spyderous@gentoo.org>
+	fperms 0755 /usr/bin/xterm
+
+	# restore the navy blue
+	sed -i -e "s:blue2$:blue:" "${ED}"${DEFAULTS_DIR}/XTerm-color
+}
-- 
cgit v1.2.3